Bug 197736 - Review Request: perl-DateTime-Format-Strptime
Review Request: perl-DateTime-Format-Strptime
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 193078
  Show dependency treegraph
 
Reported: 2006-07-05 17:27 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-08 12:44:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-07-05 17:27:41 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-DateTime-Format-Strptime/perl-DateTime-Format-Strptime.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-DateTime-Format-Strptime-1.0700-1.src.rpm
Description:
This module implements most of strptime(3), the POSIX function that is the
reverse of strftime(3), for DateTime. While strftime takes a DateTime and a
pattern and returns a string, strptime takes a string and a pattern and
returns the DateTime object associated.
Comment 1 Jason Tibbitts 2006-07-06 18:42:41 EDT
* source files match upstream:
   fcda7127b01dcad43ca7cf30be9a1dc6  DateTime-Format-Strptime-1.0700.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* noarch package; no debuginfo.
* final provides and requires are sane:
   perl(DateTime::Format::Strptime) = 1.0700
   perl-DateTime-Format-Strptime = 1.0700-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(DateTime)
   perl(DateTime::Locale)
   perl(DateTime::TimeZone)
   perl(Exporter)
   perl(Params::Validate)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=7, Tests=373,  2 wallclock secs ( 1.30 cusr +  0.15 csys =  1.45 CPU)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Steven Pritchard 2006-07-08 12:44:21 EDT
Imported into CVS, branches created, and builds requested.

Note You need to log in before you can comment on or make changes to this bug.